 IF EXISTS (SELECT * FROM sysobjects WHERE type = 'TR' AND name = 'adftrPropertyUpdateDelete')
	BEGIN
		PRINT 'Dropping Trigger adftrPropertyUpdateDelete'
		DROP  Trigger adftrPropertyUpdateDelete
	END
GO

/******************************************************************************
**		File: 
**		Name: adftrPropertyUpdateDelete
**		Desc: 
**
**		This template can be customized:
**              
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:				Description:
**		--------		--------				-------------------------------------------
**    
*******************************************************************************/

PRINT 'Creating Trigger adftrPropertyUpdateDelete'
GO
CREATE Trigger adftrPropertyUpdateDelete ON [Property] FOR DELETE, UPDATE
AS
	SET NOCOUNT ON
	
	IF EXISTS(SELECT * FROM [deleted] WHERE [BuiltIn] = 1)
	BEGIN
		ROLLBACK TRANSACTION
		RAISERROR('#CannotModifyBuiltInProperty', 16, -1)
		RETURN
	END
	
GO

