IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfActivityTypeList')
	BEGIN
		PRINT 'Dropping Procedure adfActivityTypeList'
		DROP  Procedure  adfActivityTypeList
	END

GO

PRINT 'Creating Procedure adfActivityTypeList'
GO
/******************************************************************************
**		File: 
**		Name: adfActivityTypeList
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfActivityTypeList
AS
	SET NOCOUNT ON
	
	SELECT
		[ID],
		[Code],
		[FileAs] as [Name],
		[State],
		[Billable],
		[PhoneCallAccessible]
	FROM
		[ActivityType]
GO

GRANT EXEC ON adfActivityTypeList TO PUBLIC
GO
