IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfCostCenterList')
	BEGIN
		PRINT 'Dropping Procedure adfCostCenterList'
		DROP  Procedure  adfCostCenterList
	END

GO

PRINT 'Creating Procedure adfCostCenterList'
GO
/******************************************************************************
**		File: 
**		Name: adfCostCenterList
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfCostCenterList
AS
	SET NOCOUNT ON
		
	SELECT
		[CostCenter].[ID],
		[CostCenter].[Code],
		[CostCenter].[FileAs] as [Name],
		[CostCenter].[State]
	FROM
		[CostCenter]
	
	RETURN 0
GO

GRANT EXEC ON adfCostCenterList TO PUBLIC
GO
