IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfPersonExtraInfoGet')
	BEGIN
		PRINT 'Dropping Procedure adfPersonExtraInfoGet'
		DROP  Procedure  adfPersonExtraInfoGet
	END

GO

PRINT 'Creating Procedure adfPersonExtraInfoGet'
GO
/******************************************************************************
**		File: 
**		Name: adfPersonExtraInfoGet
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfPersonExtraInfoGet
	@EmployeeID TIdentifier
AS
	SET NOCOUNT ON

	SELECT
		[IdentityCard].[IdentityCardTypeID],
		[IdentityCard].[Seria],
		[IdentityCard].[Number],
		[IdentityCard].[IssueDate],
		[IdentityCard].[Issuer],
		[IdentityCard].[ExpirationDate],
		[IdentityCard].[Expired]
	FROM
		[IdentityCard]
	WHERE
		[IdentityCard].[EmployeeID] = @EmployeeID

	RETURN 0
GO

