IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[adfGetRightName]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function adfGetRightName'
		DROP FUNCTION [dbo].[adfGetRightName]
	END

GO

PRINT 'Creating function adfGetRightName'
GO
/******************************************************************************
**		File: 
**		Name: adfGetRightName
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE FUNCTION adfGetRightName
	(@ID INT)
RETURNS sysname
AS
BEGIN
	DECLARE @Name TSysname
	SELECT @Name = [Right].[Name] FROM [Right] WHERE [Right].[ID] = @ID
	RETURN @Name
END
GO

GRANT EXEC ON adfGetRightName TO PUBLIC
GO
