﻿IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfLocalizationObjectGetData')
	BEGIN
		PRINT 'Dropping Procedure adfLocalizationObjectGetData'
		DROP  Procedure  adfLocalizationObjectGetData
	END

GO

PRINT 'Creating Procedure adfLocalizationObjectGetData'
GO
/******************************************************************************
**		File: 
**		Name: adfLocalizationObjectGetData
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfLocalizationObjectGetData
@TableName TName
AS
	SET NOCOUNT ON
	
	DECLARE
		@sql nvarchar(MAX)

	SET @sql = 'SELECT * FROM ' + @TableName
	EXEC sp_executesql @sql
			
	RETURN 0
GO

GRANT EXEC ON adfLocalizationObjectGetData TO PUBLIC
GO
