SET ANSI_PADDING ON

DECLARE @Param TVariant,
		@doc INT,
		@xml XML,
		@build INT,
		@major INT,
		@minor INT,
		@revision INT
EXEC adfParameterGet 'DatabaseVersion', 'VersionInfo', @Param OUTPUT
SET @xml = CAST(@Param as varchar(8000))

SELECT 
	@major = T.c.value('major[1]','int'),
	@minor = T.c.value('minor[1]','int'),
	@build = T.c.value('build[1]','int'),
	@revision = T.c.value('revision[1]','int')
FROM 
	@xml.nodes('/version') AS T(c)	

IF (@build<=CAST('1955' AS INT) AND @major<=CAST('6' AS INT) 
	AND @minor<=CAST('0' AS INT) AND @revision<=CAST('0' AS INT))
	OR @major<CAST('6' AS INT)
BEGIN
	UPDATE [TaskRequest]
	SET
		[TaskRequest].[State] = '5',
		[TaskRequest].[Modified] = DEFAULT,
		[TaskRequest].[ModifiedBy] = DEFAULT
	WHERE
		[TaskRequest].[State] = '3'	
END

GO