IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'User_IX_SQLLogin')
	drop index User_IX_SQLLogin ON [User]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'User_IX_SQLLogin')
	/*==============================================================*/
	/* Index: User_IX_SQLLogin                                        */
	/*==============================================================*/
	create   index User_IX_SQLLogin on [User] (
		SQLLogin
	)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'User_IX_NTLogin')
	drop index User_IX_NTLogin ON [User]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'User_IX_NTLogin')
	/*==============================================================*/
	/* Index: User_IX_NTLogin                                         */
	/*==============================================================*/
	create   index User_IX_NTLogin on [User] (
		NTLogin
	)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'BusyEntry_IX_AssignmentID')
	drop index BusyEntry_IX_AssignmentID ON [BusyEntry]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'BusyEntry_IX_AssignmentID')
/*==============================================================*/
/* Index: BusyEntry_IX_AssignmentID                             */
/*==============================================================*/
create   index BusyEntry_IX_AssignmentID on BusyEntry (
AssignmentID
)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'BusyEntry_IX_Date')
	drop index BusyEntry_IX_Date ON [BusyEntry]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'BusyEntry_IX_Date')
/*==============================================================*/
/* Index: BusyEntry_IX_Date                                     */
/*==============================================================*/
create   index BusyEntry_IX_Date on BusyEntry (
Date
)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'BusyEntry_IX_TaskID')
	drop index BusyEntry_IX_TaskID ON [BusyEntry]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'BusyEntry_IX_TaskID')
/*==============================================================*/
/* Index: BusyEntry_IX_TaskID                                   */
/*==============================================================*/
create   index BusyEntry_IX_TaskID on BusyEntry (
TaskID
)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'BusyEntry_IX_EmployeeID')
	drop index BusyEntry_IX_EmployeeID ON [BusyEntry]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'BusyEntry_IX_EmployeeID')
/*==============================================================*/
/* Index: BusyEntry_IX_EmployeeID                               */
/*==============================================================*/
create   index BusyEntry_IX_EmployeeID on BusyEntry (
EmployeeID
)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'Task_IX_ParentID')
	drop index Task_IX_ParentID ON [Task]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'Task_IX_ParentID')
/*==============================================================*/
/* Index: Task_IX_ParentID                                      */
/*==============================================================*/
create   index Task_IX_ParentID on Task (
ParentID
)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'Task_IX_ProjectID')
	drop index Task_IX_ProjectID ON [Task]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'Task_IX_ProjectID')
/*==============================================================*/
/* Index: Task_IX_ProjectID                                     */
/*==============================================================*/
create   index Task_IX_ProjectID on Task (
ProjectID
)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'Task_IX_SubprojectID')
	drop index Task_IX_SubprojectID ON [Task]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'Task_IX_SubprojectID')
/*==============================================================*/
/* Index: Task_IX_SubprojectID                                  */
/*==============================================================*/
create   index Task_IX_SubprojectID on Task (
SubprojectID
)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'Task_IX_MsTaskID')
	drop index Task_IX_MsTaskID ON [Task]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'Task_IX_MsTaskID')
/*==============================================================*/
/* Index: Task_IX_MsTaskID                                      */
/*==============================================================*/
create   index Task_IX_MsTaskID on Task (
MsTaskID
)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'Assignment_IX_ID_State_ProjectID')
	drop index Assignment_IX_ID_State_ProjectID ON [Assignment]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'Assignment_IX_ID_State_ProjectID')
/*==============================================================*/
/* Index: Assignment_IX_ID_State_ProjectID                      */
/*==============================================================*/
create unique  index Assignment_IX_ID_State_ProjectID on Assignment (
		ID,
		State,
		ProjectID
	)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'AssignmentEntry_IX_EmployeeID_AssignmentID')
	drop index AssignmentEntry_IX_EmployeeID_AssignmentID ON [AssignmentEntry]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'AssignmentEntry_IX_EmployeeID_AssignmentID')
/*==============================================================*/
/* Index: AssignmentEntry_IX_EmployeeID_AssignmentID            */
/*==============================================================*/
create   index AssignmentEntry_IX_EmployeeID_AssignmentID on AssignmentEntry (
		EmployeeID,
		AssignmentID
	)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'Project_IX_ProjectManagerEmployeeID')
	drop index Project_IX_ProjectManagerEmployeeID ON [Project]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'Project_IX_ProjectManagerEmployeeID')
/*==============================================================*/
/* Index: Project_IX_ProjectManagerEmployeeID                   */
/*==============================================================*/
create   index Project_IX_ProjectManagerEmployeeID on Project (
		ProjectManagerEmployeeID
	)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'DocumentCard_IX_FolderID')
	drop index DocumentCard_IX_FolderID ON [DocumentCard]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'DocumentCard_IX_FolderID')
/*==============================================================*/
/* Index: DocumentCard_IX_FolderID                              */
/*==============================================================*/
create   index DocumentCard_IX_FolderID on DocumentCard (
		FolderID
	)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'Budget_IX_DocumentID_DocumentClass')
	drop index Budget_IX_DocumentID_DocumentClass ON [Budget]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'Budget_IX_DocumentID_DocumentClass')
/*==============================================================*/
/* Index: Budget_IX_DocumentID_DocumentClass                    */
/*==============================================================*/
create   index Budget_IX_DocumentID_DocumentClass on Budget (
DocumentClass,
DocumentID
)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'BudgetLineExpense_IX_BudgetID')
	drop index BudgetLineExpense_IX_BudgetID ON [BudgetLineExpense]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'BudgetLineExpense_IX_BudgetID')
/*==============================================================*/
/* Index: BudgetLineExpense_IX_BudgetID                         */
/*==============================================================*/
create   index BudgetLineExpense_IX_BudgetID on BudgetLineExpense (
BudgetID
)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'BudgetLineWork_IX_BudgetID')
	drop index BudgetLineWork_IX_BudgetID ON [BudgetLineWork]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'BudgetLineWork_IX_BudgetID')
/*==============================================================*/
/* Index: BudgetLineWork_IX_BudgetID                            */
/*==============================================================*/
create   index BudgetLineWork_IX_BudgetID on BudgetLineWork (
BudgetID
)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'Transition_IX_DocumentID_Class')
	drop index Transition_IX_DocumentID_Class ON [Transition]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'Transition_IX_DocumentID_Class')
/*==============================================================*/
/* Index: Transition_IX_DocumentID_Class                      */
/*==============================================================*/
create index Transition_IX_DocumentID_Class on Transition (
		DocumentID,
		Class
	)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'Attachment_IX_DocumentID_DocumentClass')
	drop index Attachment_IX_DocumentID_DocumentClass ON [Attachment]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'Attachment_IX_DocumentID_DocumentClass')
/*==============================================================*/
/* Index: Attachment_IX_DocumentID_DocumentClass                */
/*==============================================================*/
create index Attachment_IX_DocumentID_DocumentClass on [Attachment] (
		[DocumentClass],
		[DocumentID]
	)
include ( [LinkDocumentClass], [AttachmentTypeID])
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'Attachment_IX_LinkDocumentID_LinkDocumentClass')
	drop index Attachment_IX_LinkDocumentID_LinkDocumentClass ON [Attachment]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'Attachment_IX_LinkDocumentID_LinkDocumentClass')
/*==============================================================*/
/* Index: Attachment_IX_LinkDocumentID_LinkDocumentClass        */
/*==============================================================*/
create index Attachment_IX_LinkDocumentID_LinkDocumentClass on [Attachment] (
		[LinkDocumentClass],
		[LinkDocumentID]
	)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'Employee_IX_UserID')
	drop index Employee_IX_UserID ON [Employee]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'Employee_IX_UserID')
/*==============================================================*/
/* Index: Employee_IX_UserID									*/
/*==============================================================*/
create index Employee_IX_UserID on [Employee] (
		[UserID]
	)
include ([State])
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'CalculationLine_IX_CalculationID')
	drop index CalculationLine_IX_CalculationID ON [CalculationLine]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'CalculationLine_IX_CalculationID')
/*==============================================================*/
/* Index: CalculationLine_IX_CalculationID						*/
/*==============================================================*/
create index CalculationLine_IX_CalculationID on [CalculationLine] (
		[CalculationID]
	)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'Reminder_IX_DocumentClass_DocumentID_Subtype')
	drop index Reminder_IX_DocumentClass_DocumentID_Subtype ON [Reminder]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'Reminder_IX_DocumentClass_DocumentID_Subtype')
/*==============================================================*/
/* Index: Reminder_IX_DocumentClass_DocumentID_Subtype			*/
/*==============================================================*/
create index Reminder_IX_DocumentClass_DocumentID_Subtype on [Reminder] (
		[DocumentClass],
		[DocumentID],
		[Subtype]
	)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'UserReminder_IX_ReminderID')
	drop index UserReminder_IX_ReminderID ON [UserReminder]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'UserReminder_IX_ReminderID')
/*==============================================================*/
/* Index: UserReminder_IX_ReminderID							*/
/*==============================================================*/
create index UserReminder_IX_ReminderID on [UserReminder] (
		[ReminderID]
	)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'TransitionTemplate_IX_FromState_ToState_Class')
	drop index TransitionTemplate_IX_FromState_ToState_Class ON [TransitionTemplate]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'TransitionTemplate_IX_FromState_ToState_Class')
/*==============================================================*/
/* Index: TransitionTemplate_IX_FromState_ToState_Class			*/
/*==============================================================*/
create index TransitionTemplate_IX_FromState_ToState_Class on [TransitionTemplate] (
		[FromState],
		[ToState],
		[Class]
	)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'DocumentUserState_IX_DocumentClass_DocumentID_UserID')
	drop index DocumentUserState_IX_DocumentClass_DocumentID_UserID ON [DocumentUserState]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'DocumentUserState_IX_DocumentClass_DocumentID_UserID')
/*==============================================================*/
/* Index: DocumentUserState_IX_DocumentClass_DocumentID_UserID	*/
/*==============================================================*/
create index DocumentUserState_IX_DocumentClass_DocumentID_UserID on [DocumentUserState] (
		[DocumentClass],
		[DocumentID],
		[UserID]
	)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'TimeEntry_IX_DocumentClass_DocumentID')
	drop index TimeEntry_IX_DocumentClass_DocumentID ON [TimeEntry]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'TimeEntry_IX_DocumentClass_DocumentID')
/*==============================================================*/
/* Index: TimeEntry_IX_DocumentClass_DocumentID					*/
/*==============================================================*/
create index TimeEntry_IX_DocumentClass_DocumentID on [TimeEntry] (
		[DocumentClass],
		[DocumentID]
	)
go

IF EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'MailItem_IX_ToID')
	drop index MailItem_IX_ToID ON [Mailitem]
IF NOT EXISTS (SELECT * FROM sys.indexes WHERE [name] = 'MailItem_IX_ToID')
/*==============================================================*/
/* Index: MailItem_IX_ToID										*/
/*==============================================================*/
create index MailItem_IX_ToID on [Mailitem] (
		[ToID]
	)
go