declare @value TVariant
SET @value = CAST(CAST(1 as bit) as sql_variant)
EXEC adfParameterSet @Name='DatabaseUpdateExecuting', @Group='Pjm5', @Value = @value

DECLARE @Param TVariant,		
		@xml XML,
		@major INT
EXEC adfParameterGet 'DatabaseVersion', 'VersionInfo', @Param OUTPUT
SET @xml = CAST(@Param as varchar(8000))

SELECT 
	@major = T.c.value('major[1]','int')	
FROM 
	@xml.nodes('/version') AS T(c)	

SET @value = CAST(@major as sql_variant)
EXEC adfParameterSet @Name='DatabaseVersionUpdated', @Group='Pjm5', @Value = @value