IF EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'[dbo].[fnPjm5GetAccountingCurrency]') AND xtype IN (N'FN', N'IF', N'TF'))
	BEGIN
		PRINT 'Dropping function fnPjm5GetAccountingCurrency'
		DROP FUNCTION [dbo].[fnPjm5GetAccountingCurrency]
	END

GO

PRINT 'Creating function fnPjm5GetAccountingCurrency'
GO
/******************************************************************************
**		File: 
**		Name: fnPjm5GetAccountingCurrency
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE FUNCTION fnPjm5GetAccountingCurrency()
RETURNS TCode3
AS
BEGIN
	DECLARE @Code TCode3
	SELECT @Code=CAST(Value as varchar(3)) FROM [F41AB0F8-FDF0-4FAD-9B71-8F17B4A51B53] WHERE [Name]='BaseCurrency' AND [Group]='CommonBusiness'
	RETURN @Code
END
GO

GRANT EXEC ON fnPjm5GetAccountingCurrency TO PUBLIC
GO
