IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfIndustryBranchList')
	BEGIN
		PRINT 'Dropping Procedure adfIndustryBranchList'
		DROP  Procedure  adfIndustryBranchList
	END

GO

PRINT 'Creating Procedure adfIndustryBranchList'
GO
/******************************************************************************
**		File: 
**		Name: adfIndustryBranchList
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfIndustryBranchList
AS
	SET NOCOUNT ON
		
	SELECT
		[ID],
		[Code],
		[FileAs] as [Name],
		[State]
	FROM
		[IndustryBranch]

	RETURN 0
GO

GRANT EXEC ON adfIndustryBranchList TO PUBLIC
GO
