﻿IF EXISTS (SELECT * FROM sysobjects WHERE type = 'P' AND name = 'adfLocalizationObjectGet')
	BEGIN
		PRINT 'Dropping Procedure adfLocalizationObjectGet'
		DROP  Procedure  adfLocalizationObjectGet
	END

GO

PRINT 'Creating Procedure adfLocalizationObjectGet'
GO
/******************************************************************************
**		File: 
**		Name: adfLocalizationObjectGet
**		Desc: 
**
**		This template can be customized:
**              
**		Return values:
** 
**		Called by:   
**              
**		Parameters:
**		Input							Output
**      ----------						-----------
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:			Description:
**		--------	--------		-------------------------------------------
**    
*******************************************************************************/
CREATE Procedure adfLocalizationObjectGet
@TableName TName
AS
	SET NOCOUNT ON
	
	SELECT
		[dbo].[adfGetClassByName]('Adf.LocalizationObject') AS [Class],
		@TableName AS [ID],
		1 as [State],		
		@TableName AS [Name],
		1 as CreatedBy,
		1 as ModifiedBy,		
		CAST('2004-06-04 13:00' as datetime) as Created,
		CAST('2004-06-04 13:00' as datetime) as Modified			
			
	RETURN 0
GO

GRANT EXEC ON adfLocalizationObjectGet TO PUBLIC
GO
