IF EXISTS (SELECT * FROM sysobjects WHERE type = 'V' AND name = 'adfvwAction')
	BEGIN
		PRINT 'Dropping View adfvwAction'
		DROP  View adfvwAction
	END
GO

/******************************************************************************
**		File: 
**		Name: adfvwAction
**		Desc: 
**
**		This template can be customized:
**              
**
**		Auth: 
**		Date: 
*******************************************************************************
**		Change History
*******************************************************************************
**		Date:		Author:				Description:
**		--------		--------				-------------------------------------------
**    
*******************************************************************************/

PRINT 'Creating View adfvwAction'
GO
CREATE VIEW adfvwAction
AS
	SELECT
		[Action].[ID], 
		ISNULL([ActionGlobal].[Name], [Action].[Name]) as [Name], 
		ISNULL([ActionGlobal].[Comments], [Action].[Comments]) as [Comments], 
		[Action].[Image]
	FROM
		[Action] LEFT OUTER JOIN [ActionGlobal]
			ON ([Action].[ID]=[ActionGlobal].[ID] AND
				[ActionGlobal].[Language] = dbo.adfGetLanguage())

GO
    