IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'CustomScriptExecution') AND OBJECTPROPERTY(id, N'IsUserTable') = 1)
/*==============================================================*/
/* Table: CustomScriptExecution				                */
/*==============================================================*/
create table [CustomScriptExecution] (
   ID					TIdentifier			identity,
   ParameterName		TName				not null,
   CompleteSuccesfully  TBool				not null default 0,
   FromDBVersion		TVariant	        null,
   ToDBVersion			TVariant            null,
   ScriptName			TName				null,
   Created				TSysDateTime        not null default GETDATE(),
   constraint  CustomScriptExecutionPK primary key  (ID)
)
go