DECLARE	
	@false BIT = 0

IF NOT EXISTS (SELECT * FROM [F41AB0F8-FDF0-4FAD-9B71-8F17B4A51B53] WHERE [Group] = 'Pjm7' AND [Name]='PlanProfitability')
EXEC adfParameterSet 'PlanProfitability', 'Pjm7', 0.25

IF NOT EXISTS (SELECT * FROM [F41AB0F8-FDF0-4FAD-9B71-8F17B4A51B53] WHERE [Group] = 'Pjm7' AND [Name]='PlanPurchases')
BEGIN
	EXEC adfParameterSet 'PlanPurchases', 'Pjm7', @false
END
ELSE
BEGIN
	DECLARE
		@type NVARCHAR(10)

	SELECT
		@type = CONVERT(NVARCHAR(10),SQL_VARIANT_PROPERTY([P].[Value], 'BaseType'))
	FROM
		[F41AB0F8-FDF0-4FAD-9B71-8F17B4A51B53] AS [P]
	WHERE 
		[Group] = 'Pjm7' 
		AND 
		[Name]='PlanPurchases'

	IF @type = 'int'
	BEGIN			
		DECLARE	
			@valueInt INT,
			@val TVariant,
			@valueBit BIT

		EXEC [adfParameterGet]	@Name = 'PlanPurchases',
								@Group = 'Pjm7',
								@Value = @val OUTPUT
		SET @valueInt = CAST(@val AS INT)
	
		IF @valueInt = 0
			SET @valueBit = 0
		ELSE 
			SET @valueBit = 1

		EXEC [adfParameterSet]	@Name = 'PlanPurchases',
								@Group = 'Pjm7',
								@Value = @valueBit
	END
END